| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes
Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 > Struct Template Reference

`#include </home/collabora-devel/kde/src/telepathy-qt4/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

List of all members.

## Public Types

- typedef R(* FunctionType )(Arg1, Arg2, Arg3, Arg4)
- typedef R ResultType

## Public Member Functions

- PtrFunctor4 (FunctionType fn)
- ResultType operator() (Arg1 a1, Arg2 a2, Arg3 a3, Arg4 a4) const

## Public Attributes

- FunctionType fn

### template<class R, class Arg1, class Arg2, class Arg3, class Arg4>
struct Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >

## Member Typedef Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

typedef R(* Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >::FunctionType)(Arg1, Arg2, Arg3, Arg4)

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

typedef R Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >::ResultType

## Constructor & Destructor Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >::PtrFunctor4 | ( | FunctionType | fn | ) | `[inline]`

## Member Function Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

ResultType Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2,
|  | Arg3 | a3,
|  | Arg4 | a4
| ) |  | const`[inline]`

## Member Data Documentation

template<class R , class Arg1 , class Arg2 , class Arg3 , class Arg4 >

FunctionType Tp::PtrFunctor4< R, Arg1, Arg2, Arg3, Arg4 >::fn